How to update the Linux-libre Kernel ebuild for a new version
---

1. Check for new stable version of `gentoo-kernel` on packages.gentoo.org.
2. If so, version bump `libre-kernel` ebuild to match new
   `gentoo-kernel` version.
3. Check the `gentoo-kernel` ebuild for changes to the Gentoo config and
   patches versions.
4. If the Gentoo patchset version has changed:
   1. Make sure the patch version offset thingy matches gentoo-kernel.
   2. Make sure config version is the same.
   3. Make sure the config hash is the same.
   4. Make sure ebuild applies config changes with `ebuild
      libre-kernel-X.Y.Z.ebuild clean prepare`.
5. Run `pkgdev manifest` to have portage download the libre kernel files
   and update the manifest.
5. Attempt to build the kernel using `ebuild libre-kernel-X.Y.Z.ebuild
   clean merge`. You might need to use `sudo` or `doas` for this.
6. Update `virtual/dist-kernel` package to new version, by copying the
   proper dist-kernel ebuild from the gentoo repo, and adding
   `sys-kernel/libre-kernel` to its list of possible deps.
7. Make sure `virtual/linux-sources` is up to date. This package rarely
   changes, but updating it follows the same procedure as
   `virtual/dist-kernel`.

If the build succeeds, the new ebuilds can be pushed to the repository.
